commit d1ee1a0fe6d7772d46af972e5d126e3f6c74b457
Author: Eric Botcazou <ebotcazou@adacore.com>
Date:   Sat Jun 26 20:50:58 2021

    [Ada] Adjust latest change for ELF platforms
    
    gcc/ada/
    
            * libgnat/s-objrea.adb (Get_Load_Address): Return 0 for ELF.

diff --git a/gcc/ada/libgnat/s-objrea.adb b/gcc/ada/libgnat/s-objrea.adb
index 2bd69292331..b6a87a20dd3 100644
--- a/gcc/ada/libgnat/s-objrea.adb
+++ b/gcc/ada/libgnat/s-objrea.adb
@@ -1652,12 +1652,11 @@ package body System.Object_Reader is
 
    function Get_Load_Address (Obj : Object_File) return uint64 is
    begin
-      if Obj.Format in Any_PECOFF then
-         return Obj.ImageBase;
-
-      else
-         raise Format_Error with "Get_Load_Address not implemented";
-      end if;
+      case Obj.Format is
+         when ELF        => return 0;
+         when Any_PECOFF => return Obj.ImageBase;
+         when XCOFF32    => raise Format_Error;
+      end case;
    end Get_Load_Address;
 
    -----------------

